Skip to main content
POST
/
inventory-sources
/
{sourceId}
/
modular
/
work-items
/
{workItemId}
/
complete
Complete modular source work item
curl --request POST \
  --url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "result": {},
  "notes": "<string>"
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "storefrontId": "<string>",
    "inventorySourceId": "<string>",
    "moduleId": "<string>",
    "title": "<string>",
    "description": "<string>",
    "resourceType": "<string>",
    "resourceId": "<string>",
    "mediaBuyId": "<string>",
    "buyerCustomerId": 0,
    "assignedTo": "<string>",
    "dueAt": "2023-11-07T05:31:56Z",
    "payload": {},
    "result": {},
    "blockedReason": "<string>",
    "createdByType": "<string>",
    "createdById": "<string>",
    "completedBy": "<string>",
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

sourceId
string
required

Inventory source ID

Minimum string length: 1
workItemId
string
required

Inventory source work item id

Minimum string length: 1

Body

application/json

Completes a modular inventory source work item and applies any completion side effects required by the module contract.

result
object
notes
string

Response

Complete modular source work item

ok
enum<boolean>
required
Available options:
true
item
object
required

Seller-facing work item for a modular inventory source lifecycle task.